#
# spec file for package libsidplay1
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libsidplay1
BuildRequires:  gcc-c++
BuildRequires:  libtool
Url:            http://web.archive.org/web/20061202103201/http://www.geocities.com/SiliconValley/Lakes/5147/sidplay/
%define _name libsidplay
Version:        1.36.59
Release:        160.3
Source:         %{_name}-%{version}.tar.bz2
Patch:          libsidplay-gcc43.patch
Summary:        A Library for C64 Music Files
License:        GPL-2.0+
Group:          System/Libraries
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package allows you to create packages able to play music from C64
games and demos on your PC.

You can find a comprehensive archive on the WWW at:
http://www.hvsc.c64.org/

%package devel
Summary:        A Library for C64 Music Files
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version} libstdc++-devel

%description devel
This package allows you to create packages able to play music from C64
games and demos on your PC.

You can find a comprehensive archive on the WWW at:
http://www.hvsc.c64.org/

%prep
%setup -n %{_name}-%{version}
%patch

%build
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
%configure --disable-static --with-pic
make %{?jobs:-j %jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING DEVELOPER
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
/usr/include/sidplay
%{_libdir}/*.so
%exclude %{_libdir}/*.la

%changelog
* Wed Dec 21 2011 coolo@suse.com
- autoreconf after patching m4 macros
* Tue Apr 12 2011 toddrme2178@gmail.com
- Added 32bit compatibility libraries
- Fixed group path (fix for RPMLINT warning)
* Wed Dec 26 2007 crrodriguez@suse.de
- libsidplay.la has empty dependency_libs, removed
- fix library-without-ldconfig-* errors
- disable static libraries
* Wed Nov 28 2007 ro@suse.de
- fix build with gcc-4.3
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan  6 2006 sbrabec@suse.cz
- Revived sidplay branch 1.
- Package renamed to libsidplay1.
- Updated to version 1.36.59.
* Wed Apr 11 2001 uli@suse.de
- suse_update_config fixes 390
* Wed Feb 28 2001 uli@suse.de
- update -> 1.36.47
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jun 28 1999 uli@suse.de
- update -> 1.36.35
* Wed Mar 17 1999 uli@suse.de
- update 1.36.32 -> 1.36.34
* Fri Feb 19 1999 uli@suse.de
- new package, version 1.36.32
